TextDecorationMaker (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.properties

## Class TextDecorationMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.ListProperty.Maker
    - - org.apache.fop.fo.properties.TextDecorationMaker

- All Implemented Interfaces:
    Cloneable

      public class TextDecorationMaker
      extends ListProperty.Maker

  Dedicated `PropertyMaker` for handling the `text-decoration` property.

- - ### Property Summary

    - ### Properties inherited from class org.apache.fop.fo.properties.PropertyMaker

      `makeNewProperty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextDecorationMaker(int propId)` Create a maker for the given property id.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDecorationMaker

          public TextDecorationMaker(int propId)

      Create a maker for the given property id.
      Parameters:
        `propId` - id of the property for which a maker should be created

  - ### Method Detail

    - #### convertProperty

          public Property convertProperty(Property p,
                                          PropertyList propertyList,
                                          FObj fo)
                                   throws PropertyException

      Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property. It is overridden by subclasses. Add validation rules for the `text-decoration` property.
      Overrides:
        `convertProperty` in class `ListProperty.Maker`
      Parameters:
        `p` - The Property object return by the expression parser
        `propertyList` - The PropertyList object being built for this FO.
        `fo` - The parent FO for the FO whose property is being made.
      Returns:
        A Property of the correct type or null if the parsed value can't be converted to the correct type.
      Throws:
        `PropertyException` - for invalid or inconsistent FO input

Copyright © 2025 Apache Software Foundation. All rights reserved.